using System;
using System.Windows.Forms;
using System.Data;
using Infragistics.Documents.Report;
using Infragistics.Documents.Report.Section;
using Infragistics.Documents.Report.Table;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Documents.Report.Text;
using System.IO;
using System.Diagnostics;

namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();            
        }

        private DataTable dt1;

        private void Form1_Load(object sender, System.EventArgs e)
        {
            // Set grid's DataSource
            dt1 = DummyDataCreator.GetData(100);

            dt1.TableName = "Band 0";
            this.ultraGrid1.SetDataBinding(dt1, null);
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];
            UltraGridOverride ov = layout.Override;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Infragistics.Documents.Report.Report pdfReport = new Infragistics.Documents.Report.Report();

            ISection section = pdfReport.AddSection();
            IText sectionHeader = section.AddText();

            sectionHeader.AddContent(string.Format("Order Inquire"));
            sectionHeader.AddLineBreak();
            sectionHeader.AddContent(string.Format("Some text"));
            sectionHeader.AddLineBreak();
            sectionHeader.AddContent(string.Format("Printed: " + DateTime.Now.ToString()));
            sectionHeader.AddLineBreak();
            sectionHeader.AddLineBreak();
            sectionHeader.Alignment = Infragistics.Documents.Report.TextAlignment.Center;

            this.ultraGridDocumentExporter1.Export(this.ultraGrid1, section);

            Infragistics.Documents.Report.IGap sectionGap = section.AddGap();
            sectionGap.Height = new Infragistics.Documents.Report.FixedHeight((float)25);

            this.ultraGridDocumentExporter1.Export(this.ultraGrid1, section);

            string filename = Path.Combine(Path.GetDirectoryName(Application.ExecutablePath), "x.pdf");
            pdfReport.Publish(filename, Infragistics.Documents.Report.FileFormat.PDF);
            Process.Start(filename);
        }
    }
}


